summaryrefslogtreecommitdiff
path: root/bs
diff options
context:
space:
mode:
Diffstat (limited to 'bs')
-rwxr-xr-xbs13
1 files changed, 13 insertions, 0 deletions
diff --git a/bs b/bs
new file mode 100755
index 0000000..1e3da74
--- /dev/null
+++ b/bs
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+PYSSG_XYZ_DIR=$HOME/luevano.xyz
+
+pyssg --config $PYSSG_XYZ_DIR/config.yaml -b --debug
+
+if [ $? -ne 0 ]; then
+echo "Failed to build the site."
+exit 1
+fi
+
+echo "rsync: pushing (U) local (pyssg.xyz) to webserver (luevano.xyz). (pyssg.xyz)"
+rsync -rtuvPL --delete-after --exclude-from=$PYSSG_XYZ_DIR/.rsyncignore $PYSSG_XYZ_DIR/live/ luevanor:/var/www/luevano.xyz/ \ No newline at end of file